
EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue
Model EGS7228PEAN 655216006416
37 specifications
- Memory256 MB
- ColourBlack, Blue
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity24
- 10G supportNo
- Switching capacity56 Gbit/s
Overview
- Memory
- 256 MB
- Colour
- Black, Blue
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 24
- 10G support
- No
- Switching capacity
- 56 Gbit/s
- Brand
- EnGenius
- Category
- Network Switch
- Model
- EGS7228P
- Part number
- EGS7228P
- EAN / UPC
- 655216006416, 6552160064162
- Also known as
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue
Specifications
37 specifications in 12 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC1213, RFC1493, RFC1757, RFC2674 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 24 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| SFP module slots quantity | 4 |
| Console port | RJ-45 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3x |
| 10G support | No |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
Data transmission
| Specification | Value |
|---|---|
| Switching capacity | 56 Gbit/s |
| Store-and-forward | Yes |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Static port security | Yes |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMP v1/2c/3 |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Product colour | Black, Blue |
| LED indicators | Yes |
Performance
| Specification | Value |
|---|---|
| Internal memory | 256 MB |
| Flash memory | 32 MB |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
| Power over Ethernet (PoE) ports quantity | 24 |
| Total Power over Ethernet (PoE) budget | 185 W |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 260 mm |
| Height | 44 mm |
Packaging content
| Specification | Value |
|---|---|
| Manual | Yes |
What people say
Reviews & ratings
EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue
No reviews yet
Be the first to tell others how EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue
All network switch comparisons- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsEnGenius EGS5212FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsEnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFPCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsEnGenius EGS2110P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsEnGenius EGS5110P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 2U BlackCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsDell PowerConnect M6220 Managed L3 Gigabit Ethernet (10/100/1000) BlackCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsAllied Telesis AT-X210-16GT-30 network switch Managed L3 Gigabit Ethernet (10/100/1000) GreyCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsAllied Telesis AT-X210-24GT-30 network switch Managed L3 Gigabit Ethernet (10/100/1000) GreyCompare specs
- EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vsAllied Telesis AT-X210-9GT-30 network switch Managed L3 Gigabit Ethernet (10/100/1000) GreyCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















